<style>
  object{
    box-sizing: border-box;
    width: 100%;
    padding: 5px;
  }
</style>
{{ if isset .Params "file" }}
<object id='plantuml-{{ .Get "id" }}' title='{{ .Get "name" }}' type='image/svg+xml' standby='Een ogenblik geduld a.u.b.' data='https://kroki.io/plantuml/svg/{{ .Get "file" | readFile }}'></object>
<script>
  document.getElementById('plantuml-{{ .Get "id" }}').addEventListener("load", (event) => {
    if (null != this.contentDocument) {
      const svg_item = this.contentDocument.querySelector("svg");
      if (null == svg_item) {
        console.log("!!!No svg element found for object '" + this.id + "'...");
      }
      else
      {
        svg_item.setAttribute("preserveAspectRatio", "auto");
        console.log("preserveAspectRatio set to 'auto'")
      }
    }
    return;
    var worker = document.getElementById(this.id);
    console.log(worker.getBoundingClientRect().width);
    console.log(document.querySelector("div.book-page").getBoundingClientRect().width);
//    this.clientWidth = document.querySelector("div.book-page").clientWidth;
  });
</script>
{{ else }}
<object id='plantuml-{{ .Get "id" }}' title='{{ .Get "name" }}' type='image/svg+xml' standby='Een ogenblik geduld a.u.b.'></object>
<script src="{{ site.BaseURL }}/js/rawdeflate.js"></script>
<script src="{{ site.BaseURL }}/js/encode.js"></script>
<script>
  var deflater = window.SharedWorker && new SharedWorker('{{ site.BaseURL }}/js/rawdeflate.js');
  if (deflater) {
    deflater.port.addEventListener('message', done_deflating, false);
    deflater.port.start();
  } else if (window.Worker) {
    deflater = new Worker('/js/rawdeflate.js');
    deflater.onmessage = done_deflating;
  }

  function done_deflating(e) {
    console.log("done_deflating")
    const obj_placeholder = document.getElementById(plant_uml_image_id);
    kroki_url = "https://kroki.io/plantuml/svg/" + encode64(e.data)
    console.log("** " + kroki_url);
    obj_placeholder.setAttribute("data", kroki_url);
    obj_placeholder.addEventListener("load", (event) => {
      const svg_item = this.contentDocument.querySelector("svg");
      if (null == svg_item) {
        console.log("!!!No svg element found for object '" + obj_placeholder.id + "'...");
      }
      else
      {
        svg_item.setAttribute("preserveAspectRatio", "auto");
        console.log("preserveAspectRatio set to 'auto'")
      }
      return;
      obj_placeholder.clientWidth = document.querySelector("div.book-page").clientWidth;
    });
  }

  plant_uml_image_id = 'plantuml-{{ .Get "id" }}';
  console.log(plant_uml_image_id)

  compress("{{ .Inner }}");
</script>
{{ end }}